package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.MacTransferItem;
import com.dk.mdm.mapper.mac.MacTransferItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class MacTransferItemService extends BaseService<MacTransferItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<MacTransferItem> getRepository() {
		return macTransferItemMapper;
	}

	@Autowired
	private MacTransferItemMapper macTransferItemMapper;

}
